Skip to content

Save the current filters of the product list as a view

POST
/api/v1/workspaces/{workspaceId}/product-views
curl --request POST \
--url https://api.crossmart.io/api/v1/workspaces/example/product-views \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "search": "example", "status": "DRAFT", "gap": "images" }'
workspaceId
required
string
Media typeapplication/json
object
name
required

Unique in the workspace

string
<= 60 characters
search

Matches title, handle or SKU

string
status
string
Allowed values: DRAFT ACTIVE ARCHIVED
gap
string
Allowed values: images description sku barcode out_of_stock
Media typeapplication/json
object
id
required
string format: uuid
name
required
string
search
string
nullable
status
string
Allowed values: DRAFT ACTIVE ARCHIVED
gap
string
Allowed values: images description sku barcode out_of_stock
createdAt
required
string format: date-time

Example

{
"status": "DRAFT",
"gap": "images"
}